summaryrefslogtreecommitdiff
path: root/office/tth/tth.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/tth/tth.SlackBuild')
-rw-r--r--office/tth/tth.SlackBuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/office/tth/tth.SlackBuild b/office/tth/tth.SlackBuild
new file mode 100644
index 0000000000..50bb1b194a
--- /dev/null
+++ b/office/tth/tth.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for tth
+# Written by Peter Drauden (pjdraud@ilstu.edu)
+# Modified by the SlackBuilds.org project
+# (assumed to be public domain per our submission policy)
+
+# Exit on most errors
+set -e
+
+PRGNAM=tth
+VERSION=3.77
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCDIR=tth_C
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCDIR
+tar -xzvf $CWD/tth_C.tgz
+cd $SRCDIR
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Compile and strip unneeded symbols from the binary
+gcc $SLKCFLAGS -o tth tth.c
+strip --strip-unneeded tth 2> /dev/null
+
+mkdir -p $PKG/usr/{bin,man/man1,share/pixmaps}
+cp -a tth ps2gif ps2png latex2gif $PKG/usr/bin/
+cp -a tth.gif $PKG/usr/share/pixmaps
+
+# Install and compress man page
+cat tth.1 | gzip -9c > $PKG/usr/man/man1/tth.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES tth_manual.html license.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz